petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatCompositeGetMat

Returns the ith matrix from the composite matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeGetMat(Mat mat,PetscInt i,Mat *Ai)

Logically Collective on Mat

### Input Parameter

| mat | - the composite matrix
| i | - the number of requested matrix

### Output Parameter

Ai -ith matrix in composite

### See Also

MatCreateComposite(), MatCompositeGetNumberMat(), MatCompositeAddMat(), MATCOMPOSITE

### Level

advanced

### Location

src/mat/impls/composite/mcomposite.c

### Examples

src/mat/examples/tutorials/ex9.c.html

### Implementations

MatCompositeGetMat_Composite in src/mat/impls/composite/mcomposite.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages